Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Interface ProxiedDefinition

All Known Implementing Classes:
  BookDefinition, PageDefinition

    public interface ProxiedDefinition

An entity that has been created from a remote representation of a similar entity.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary
`static byte` | `HAS_PROXY_INFO` Result returned by the #hasProxyInfo method when this ProxiedDefinition has proxy information attached to it.
`static byte` | `NO_PROXY_INFO` Result returned by the #hasProxyInfo method when this ProxiedDefinition has no proxy information attached to it.
`static byte` | `NOT_AVAILABLE` Result returned by the #hasProxyInfo method when information whether this ProxiedDefinition actually has any proxy information attached to it is not available.

Method Summary
`String` | `getProviderName()` Returns the name of the provider that provided the source entity that this proxied definition is created from
`Id` | `getProxiedDefinitionId()` Returns the `Id` of this proxied definition.
`byte` | `hasProxyInfo()` Returns one of `NOT_AVAILABLE`, `HAS_PROXY_INFO` or `NO_PROXY_INFO`.

Field Detail

### NOT_AVAILABLE

    static final byte NOT_AVAILABLE

  Result returned by the #hasProxyInfo method when information whether this ProxiedDefinition actually has any proxy information attached to it is not available.

  See Also
    Constants Summary

### HAS_PROXY_INFO

    static final byte HAS_PROXY_INFO

  Result returned by the #hasProxyInfo method when this ProxiedDefinition has proxy information attached to it.

  See Also
    Constants Summary

### NO_PROXY_INFO

    static final byte NO_PROXY_INFO

  Result returned by the #hasProxyInfo method when this ProxiedDefinition has no proxy information attached to it.

  See Also
    Constants Summary

Method Detail

### hasProxyInfo

    byte hasProxyInfo()

  Returns one of `NOT_AVAILABLE`, `HAS_PROXY_INFO` or `NO_PROXY_INFO`.

  Returns
    whether proxy information is attached to this definition

### getProviderName

    String getProviderName()

  Returns the name of the provider that provided the source entity that this proxied definition is created from

  Returns
    provider name

### getProxiedDefinitionId

    Id getProxiedDefinitionId()

  Returns the `Id` of this proxied definition. Returns `NULL` if this entity is not a proxied definition

  Returns
    proxied definition `Id`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved